// Wild Magic Source Code
// David Eberly
// http://www.geometrictools.com
// Copyright (c) 1998-2007
//
// This library is free software; you can redistribute it and/or modify it
// under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation; either version 2.1 of the License, or (at
// your option) any later version.  The license is available for reading at
// either of the locations:
//     http://www.gnu.org/copyleft/lgpl.html
//     http://www.geometrictools.com/License/WildMagicLicense.pdf
//
// Version: 4.0.1 (2007/01/15)

#ifndef MAX9TOWM4_H
#define MAX9TOWM4_H

#include <windows.h>

class Max9ToWm4
{
public:
    Max9ToWm4 ();
    ~Max9ToWm4 ();

    void SetInstance (HINSTANCE hInstance);
    HINSTANCE GetInstance () const;
    void SetControlsInitialized ();
    bool GetControlsInitialized () const;
    const TCHAR* GetResourceString (unsigned int uiID) const;

    static Max9ToWm4 ThePlugin;

private:
    HINSTANCE m_hInstance;
    bool m_bControlsInitialized;

    enum { MAX_RESOURCE_STRING = 512 };
    TCHAR m_acResourceString[MAX_RESOURCE_STRING];
};

#endif
