// Wild Magic Source Code
// David Eberly
// http://www.geometrictools.com
// Copyright (c) 1998-2007
//
// This library is free software; you can redistribute it and/or modify it
// under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation; either version 2.1 of the License, or (at
// your option) any later version.  The license is available for reading at
// either of the locations:
//     http://www.gnu.org/copyleft/lgpl.html
//     http://www.geometrictools.com/License/WildMagicLicense.pdf
//
// Version: 4.0.0 (2006/06/28)

#ifndef WEXPORTSETTINGS_H
#define WEXPORTSETTINGS_H

// Class WExportSettings encapsulates the exporter options as specified by
// the user from the exporter dialog's user interface. The options specified
// in the constructor represent defaults, which will be overridden if a valid
// exporter configuration file exists.

#include <wtypes.h>

class WExportSettings
{
public:
    WExportSettings ();

    // object settings
    BOOL IncludeObjects;
    BOOL IncludeCameras;
    BOOL IncludeLights;
    BOOL IncludeMeshes;

    // mesh settings
    BOOL IncludeMaterials;
    BOOL IncludeNormals;
    BOOL IncludeTexCoords;
    BOOL IncludeVertexColors;
    BOOL GenerateMaps;

    // modifier settings
    BOOL IncludeModifiers;
    BOOL IncludeSkins;

    // animation settings
    BOOL IncludeCurrentFrame;
    BOOL IncludeKeyFrames;
    BOOL IncludeAllFrames;
    BOOL UseLocalTime;
    int StartFrame;
    int EndFrame;
};

#endif
